Eclipse on the Mac - Error with Java

This is where you talk about the NXJ software itself, installation issues, and programming talk.

Moderators: 99jonathan, roger, imaqine

Eclipse on the Mac - Error with Java

Postby omatthias » Fri Jul 25, 2014 11:54 am

Hey guys, as i had written yesterday in another topic, i have some problems with Eclipse on my Mac.
Here a quotation of my text:
[spoiler]
omatthias wrote:Hey Guys

I encounter the same problem. Since i have formatted my SSD and built in a second HDD and combined them to a fusionDrive and afterwards re-imported my Data from an BackUp, I can no longer use eclipse. It won't sync my code to the NXT. I am not really familiar with "programming" itself, I am just programming the NXt in Java with knowledge we had on the university. If anybody might help me out, it would be great.

So, now to the specs, ich have a MacBook Pro from 2012, and as i said, everything worked fine, just until this event.

Anybody an idea?

edit: it just says:
Error: This Java instance does not support a 32-bit JVM.
Please install the desired version.
Linking the file failed with exit status 1
[/spoiler]

Now i have reinstalled the new Eclipse, after having deleted the old one. I configured everything as its written in the board here. But it still gives out the same error prompt, when i try to sync the program to the NXT.
Anybody an idea?

Linking ...
Error: This Java instance does not support a 32-bit JVM.
Please install the desired version.
Linking the file failed with exit status 1
omatthias
New User
 
Posts: 2
Joined: Thu Jul 24, 2014 8:04 pm

Re: Eclipse on the Mac - Error with Java

Postby skoehler » Fri Jul 25, 2014 5:43 pm

You need to install Java 32 Bit. The last release that supported 32Bit was Apple's Java 6, as far as I am aware. You should google how to install it.
skoehler
leJOS Team Member
 
Posts: 1458
Joined: Thu Oct 30, 2008 4:54 pm


Return to NXJ Software

Who is online

Users browsing this forum: Yahoo [Bot] and 6 guests

more stuff